View Issue Details

This bug affects 1 person(s).
 6
IDProjectCategoryView StatusLast Update
17685Bug reportsSurvey participants (Tokens)public2021-12-28 13:44
Reportergabrieljenik Assigned Togalads  
PrioritynoneSeverityminor 
Status confirmedResolutionopen 
Product Version5.x 
Summary17685: When adding a new participant, user is able to Save without adding any information and a blank record is save
DescriptionThis happens because there is no validation which fails.
The model does not have any required fields, while several fields explicitly accept empty values.
That results in empty records being accepted.

Adding a new rule doens't sound like a great idea as the impact will be important.

I would just add a warning message for managers to confirm they are about to enter a token with no email nor name, nor last name.

Detected while reviewing 17572
Steps To ReproduceInitialize a participants table of a survey.
+Create - > +Add participant
Do not enter any information, click either Save or Save and close - empty record will be created.
TagsNo tags attached.
Bug heat6
Complete LimeSurvey version number (& build)5.1.5
I will donate to the project if issue is resolvedNo
Browser
Database type & versionn/a
Server OS (if known)
Webserver software & version (if known)
PHP Version8.x

Relationships

related to 17572 closedgabrieljenik When adding a new participant the buttons are not properly working 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

DenisChenu

DenisChenu

2021-10-27 09:33

developer   ~66953

It's really OK for me : since no information is really required : why not accept empty participant.

It's not a bug .
galads

galads

2021-10-27 16:36

administrator   ~66971

Last edited: 2021-10-27 16:36

Well, there are supposed to be some required fields in my opinion. Just as it is not possible to import a blank CSV file of participants.
gabrieljenik

gabrieljenik

2021-10-27 16:38

manager   ~66972

I would say at least there should be a warning.
DenisChenu

DenisChenu

2021-10-27 16:49

developer   ~66975

> Just as it is not possible to import a blank CSV file of participants.

Dummy can create blank partcipant.

I know a lot of people filling a CSV file with user1, user2, user3 … only to have lines.

There really no reason to disable blank participant :)
gabrieljenik

gabrieljenik

2021-12-28 13:44

manager   ~67865

Added confirmation modal when blank participant is created.

PR: https://github.com/LimeSurvey/LimeSurvey/pull/2194

Issue History

Date Modified Username Field Change
2021-10-26 21:18 gabrieljenik New Issue
2021-10-26 21:18 gabrieljenik Issue generated from: 17572
2021-10-26 21:18 gabrieljenik Relationship added related to 17572
2021-10-27 09:33 DenisChenu Note Added: 66953
2021-10-27 09:33 DenisChenu Bug heat 0 => 2
2021-10-27 16:36 galads Note Added: 66971
2021-10-27 16:36 galads Bug heat 2 => 4
2021-10-27 16:36 galads Assigned To => galads
2021-10-27 16:36 galads Status new => confirmed
2021-10-27 16:38 gabrieljenik Note Added: 66972
2021-10-27 16:38 gabrieljenik Bug heat 4 => 6
2021-10-27 16:49 DenisChenu Note Added: 66975
2021-12-28 13:44 gabrieljenik Note Added: 67865